#### D.15.6.11 midpoint

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  midpoint(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the midpoint-approximation as often used in literature;

Note:
  see also forward,laxfrT,setinitials,scheme;

Example:

    LIB "finitediff.lib";
    list D="Uxx","Ux","Utt","Ut","U";
    list P="lambda";
    list V="t","x";
    setinitials(V,D,P);
    midpoint(Ux,U,x);
    ==> [0,(2*dx)*x,0,0,-x^2+1]

User manual for Singular version 4-0-3, 2016, generated by texi2html.